Packages - Housekeeping #2593

[shellcheck] Needs rebuild
2020-01-08 11:59 AM - ventosus

Status: fixed % Done: 0%
Priority: bug

Assignee:

Category:

Description

$ uname -a
Linux sirshurf 5.4.2-gnu-pck1-1-pck #1 PCK SMP PREEMPT Sat, 07 Dec 2019 18:27:08 +0000 x86_64 GNU/Linux

$ Idd /usr/bin/shellcheck | grep found
libHSaeson-1.4.6.0-ByJnT4jukmB11h4DIlu8bQB-ghc8.6.5.s0 => not found
libHSunordered-containers-0.2.10.0-EKmGsISZSRGGEQm9fn2gPS-ghc8.6.5.s0 => not found
libHStime-compat-1.9.2.2-CnzOLNt25EK1IT6xdCRyZg-ghc8.6.5.s0 => not found
libHSdlist-0.8.0.7-7AUqCZ1FFSTAkadDv7Ad4r-ghc8.6.5.s0 => not found
libHSattoparsec-0.13.2.3-8w0M5Ys103I80HsDdXIpYC-ghc8.6.5.s0 => not found
libHSQuickCheck-2.13.2-8Fp36mG21e67uRy7VcQZNU-ghc8.6.5.s0 => not found
libHSsplitmix-0.0.3-10Zm2cYVIsF9ZxfYEnTyz4-ghc8.6.5.s0 => not found
libHSaeson-1.4.6.0-ByJnT4jukmB11h4DIlu8bQB-ghc8.6.5.s0 => not found
libHSunordered-containers-0.2.10.0-EKmGsISZSRGGEQm9fn2gPS-ghc8.6.5.s0 => not found
libHStime-compat-1.9.2.2-CnzOLNt25EK1IT6xdCRyZg-ghc8.6.5.s0 => not found
libHSdlist-0.8.0.7-7AUqCZ1FFSTAkadDv7Ad4r-ghc8.6.5.s0 => not found
libHSattoparsec-0.13.2.3-8w0M5Ys103I80HsDdXIpYC-ghc8.6.5.s0 => not found
libHSQuickCheck-2.13.2-8Fp36mG21e67uRy7VcQZNU-ghc8.6.5.s0 => not found
libHSsplitmix-0.0.3-10Zm2cYVIsF9ZxfYEnTyz4-ghc8.6.5.s0 => not found

History

#1 - 2020-01-08 04:27 PM - theova
Thanks for the bugreport.

[shellcheck] is in the repository community (see https://wiki.parabola.nu/Repositories for an overview).

Therefor, we depend on Arch to rebuild that package. Arch has rebuild [shellcheck] at 2020-01-07 12:04 UTC. Have you updated your system since
then?

If yes, you/we need to forward the issue. However, | think, it won't take long untill [shellcheck] is rebuilt anyway.

#2 - 2020-01-09 07:00 AM - ventosus

Therefor, we depend on Arch to rebuild that package. Arch has rebuild [shellcheck] at 2020-01-07 12:04 UTC. Have you updated your system
since then?

Yes, parabola x86_64 is at 0.7.0-83 here currently, which is broken.

If yes, you/we need to forward the issue. However, | think, it won't take long untill [shellcheck] is rebuilt anyway.

Arch is at 0.7.0-88, I've just installed that one, and it works.

#3 - 2020-01-10 03:47 PM - theova

| think this is some kind of synchronization error. Parabola has not mirrored the package since a week.

It would be good, if someone else could have a look at this issue.

#4 - 2020-01-31 10:08 AM - bill-auger

- Status changed from open to fixed

there were multiple problems with the server a few weeks ago that i had to fix - i forgot to mention that and close this ticket
